Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/Makefile.am	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -5,6 +5,6 @@
 ANALYSISHEADER = analysis_bonds.hpp analysis_correlation.hpp
 
-SOURCE = ${ANALYSISSOURCE} ${ATOMSOURCE} bond.cpp bondgraph.cpp boundary.cpp config.cpp element.cpp ellipsoid.cpp errorlogger.cpp graph.cpp helpers.cpp leastsquaremin.cpp linkedcell.cpp log.cpp logger.cpp memoryusageobserver.cpp moleculelist.cpp molecule.cpp molecule_dynamics.cpp molecule_fragmentation.cpp molecule_geometry.cpp molecule_graph.cpp molecule_pointcloud.cpp parser.cpp periodentafel.cpp tesselation.cpp tesselationhelpers.cpp vector.cpp verbose.cpp
-HEADER = ${ANALYSISHEADER} ${ATOMHEADER} bond.hpp bondgraph.hpp boundary.hpp config.hpp defs.hpp element.hpp ellipsoid.hpp errorlogger.hpp graph.hpp helpers.hpp leastsquaremin.hpp linkedcell.hpp lists.hpp log.hpp logger.hpp memoryallocator.hpp memoryusageobserver.hpp molecule.hpp molecule_template.hpp parser.hpp periodentafel.hpp stackclass.hpp tesselation.hpp tesselationhelpers.hpp vector.hpp verbose.hpp
+SOURCE = ${ANALYSISSOURCE} ${ATOMSOURCE} bond.cpp bondgraph.cpp boundary.cpp config.cpp element.cpp ellipsoid.cpp errorlogger.cpp graph.cpp helpers.cpp info.cpp leastsquaremin.cpp linkedcell.cpp log.cpp logger.cpp memoryusageobserver.cpp moleculelist.cpp molecule.cpp molecule_dynamics.cpp molecule_fragmentation.cpp molecule_geometry.cpp molecule_graph.cpp molecule_pointcloud.cpp parser.cpp periodentafel.cpp tesselation.cpp tesselationhelpers.cpp vector.cpp verbose.cpp
+HEADER = ${ANALYSISHEADER} ${ATOMHEADER} bond.hpp bondgraph.hpp boundary.hpp config.hpp defs.hpp element.hpp ellipsoid.hpp errorlogger.hpp graph.hpp helpers.hpp info.hpp leastsquaremin.hpp linkedcell.hpp lists.hpp log.hpp logger.hpp memoryallocator.hpp memoryusageobserver.hpp molecule.hpp molecule_template.hpp parser.hpp periodentafel.hpp stackclass.hpp tesselation.hpp tesselationhelpers.hpp vector.hpp verbose.hpp
 
 BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB)
Index: src/analysis_correlation.hpp
===================================================================
--- src/analysis_correlation.hpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/analysis_correlation.hpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -72,4 +72,5 @@
   if (map == NULL) {
     eLog() << Verbose(0) << "Nothing to min/max, map is NULL!" << endl;
+    performCriticalExit();
     return;
   }
@@ -107,4 +108,5 @@
   if (map == NULL) {
     eLog() << Verbose(0) << "Nothing to bin, is NULL!" << endl;
+    performCriticalExit();
     return outmap;
   }
Index: src/analyzer.cpp
===================================================================
--- src/analyzer.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/analyzer.cpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -94,5 +94,5 @@
   if (!Hcorrection.ParseFragmentMatrix(argv[1], "", HCORRECTIONSUFFIX,0,0)) {
     NoHCorrection = true;
-    Log() << Verbose(0) << "No HCorrection file found, skipping these." << endl;
+    eLog() << Verbose(2) << "No HCorrection file found, skipping these." << endl;
   }
   
@@ -100,9 +100,9 @@
   if (!Hessian.ParseFragmentMatrix(argv[1], dir, HessianSuffix,0,0)) {
     NoHessian = true;
-    Log() << Verbose(0) << "No Hessian file found, skipping these." << endl;
+    eLog() << Verbose(2) << "No Hessian file found, skipping these." << endl;
   }
   if (!Time.ParseFragmentMatrix(argv[1], dir, TimeSuffix, 10,1)) {
     NoTime = true;
-    Log() << Verbose(0) << "No speed file found, skipping these." << endl;
+    eLog() << Verbose(2) << "No speed file found, skipping these." << endl;
   }
   if (periode != NULL) { // also look for PAS values
Index: src/atom_bondedparticle.cpp
===================================================================
--- src/atom_bondedparticle.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/atom_bondedparticle.cpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -44,11 +44,11 @@
 void BondedParticle::OutputBondOfAtom() const
 {
-  Log() << Verbose(4) << "Atom " << Name << "/" << nr << " with " << ListOfBonds.size() << " bonds: ";
+  Log() << Verbose(4) << "Atom " << Name << "/" << nr << " with " << ListOfBonds.size() << " bonds: " << endl;
   int TotalDegree = 0;
   for (BondList::const_iterator Runner = ListOfBonds.begin(); Runner != ListOfBonds.end(); ++Runner) {
-    Log() << Verbose(0) << **Runner << "\t";
+    Log() << Verbose(4) << **Runner << endl;
     TotalDegree += (*Runner)->BondDegree;
   }
-  Log() << Verbose(0) << " -- TotalDegree: " << TotalDegree << endl;
+  Log() << Verbose(4) << " -- TotalDegree: " << TotalDegree << endl;
 };
 
@@ -75,8 +75,8 @@
       status = true;
     } else {
-      Log() << Verbose(1) << "ERROR: " << *Binder << " does not contain " << *this << "." << endl;
+      eLog() << Verbose(1) << *Binder << " does not contain " << *this << "." << endl;
     }
   } else {
-    Log() << Verbose(1) << "ERROR: Binder is " << Binder << "." << endl;
+    eLog() << Verbose(1) << "Binder is " << Binder << "." << endl;
   }
   return status;
@@ -94,8 +94,8 @@
       status = true;
     } else {
-      Log() << Verbose(1) << "ERROR: " << *Binder << " does not contain " << *this << "." << endl;
+      eLog() << Verbose(1) << *Binder << " does not contain " << *this << "." << endl;
     }
   } else {
-    Log() << Verbose(1) << "ERROR: Binder is " << Binder << "." << endl;
+    eLog() << Verbose(1) << "Binder is " << Binder << "." << endl;
   }
   return status;
@@ -121,12 +121,12 @@
   bond *CandidateBond = NULL;
 
+  NoBonds = CountBonds();
   //Log() << Verbose(3) << "Walker " << *this << ": " << (int)this->type->NoValenceOrbitals << " > " << NoBonds << "?" << endl;
-  NoBonds = CountBonds();
   if ((int)(type->NoValenceOrbitals) > NoBonds) { // we have a mismatch, check all bonding partners for mismatch
     for (BondList::const_iterator Runner = ListOfBonds.begin(); Runner != ListOfBonds.end(); (++Runner)) {
       OtherWalker = (*Runner)->GetOtherAtom(this);
       OtherNoBonds = OtherWalker->CountBonds();
-      //Log() << Verbose(3) << "OtherWalker " << *OtherWalker << ": " << (int)OtherWalker->type->NoValenceOrbitals << " > " << NoBonds << "?" << endl;
-      if ((int)(OtherWalker->type->NoValenceOrbitals) > NoBonds) { // check if possible candidate
+      //Log() << Verbose(3) << "OtherWalker " << *OtherWalker << ": " << (int)OtherWalker->type->NoValenceOrbitals << " > " << OtherNoBonds << "?" << endl;
+      if ((int)(OtherWalker->type->NoValenceOrbitals) > OtherNoBonds) { // check if possible candidate
         if ((CandidateBond == NULL) || (ListOfBonds.size() > OtherWalker->ListOfBonds.size())) { // pick the one with fewer number of bonds first
           CandidateBond = (*Runner);
@@ -137,7 +137,7 @@
     if ((CandidateBond != NULL)) {
       CandidateBond->BondDegree++;
-      Log() << Verbose(2) << "Increased bond degree for bond " << *CandidateBond << "." << endl;
+      //Log() << Verbose(2) << "Increased bond degree for bond " << *CandidateBond << "." << endl;
     } else {
-      //Log() << Verbose(2) << "Could not find correct degree for atom " << *this << "." << endl;
+      eLog() << Verbose(2) << "Could not find correct degree for atom " << *this << "." << endl;
       FalseBondDegree++;
     }
Index: src/atom_graphnode.cpp
===================================================================
--- src/atom_graphnode.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/atom_graphnode.cpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -29,5 +29,5 @@
   Log() << Verbose(2) << "Atom " << Name << " is " << ((SeparationVertex) ? "a" : "not a") << " separation vertex, components are ";
   OutputComponentNumber();
-  Log() << Verbose(0) << " with Lowpoint " << LowpointNr << " and Graph Nr. " << GraphNr << "." << endl;
+  Log() << Verbose(3) << " with Lowpoint " << LowpointNr << " and Graph Nr. " << GraphNr << "." << endl;
 };
 
@@ -40,5 +40,5 @@
   if (ComponentNr != NULL) {
     for (int i=0; ComponentNr[i] != -1; i++)
-      Log() << Verbose(0) << ComponentNr[i] << " ";
+      Log() << Verbose(2) << ComponentNr[i] << " ";
   }
 };
Index: src/atom_trajectoryparticle.cpp
===================================================================
--- src/atom_trajectoryparticle.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/atom_trajectoryparticle.cpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -203,5 +203,5 @@
         U[d] = gsl_ran_gaussian (r, sigma);
       }
-      Log() << Verbose(0) << sqrt(U[0]*U[0]+U[1]*U[1]+U[2]*U[2]) << endl;
+      Log() << Verbose(2) << sqrt(U[0]*U[0]+U[1]*U[1]+U[2]*U[2]) << endl;
     }
     for (int d=0; d<NDIM; d++)
Index: src/bond.cpp
===================================================================
--- src/bond.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/bond.cpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -63,5 +63,5 @@
   if(rightatom == Atom) 
     return leftatom;
-  eLog() << Verbose(0) << "Bond " << *this << " does not contain atom " << *Atom << "!" << endl;
+  eLog() << Verbose(1) << "Bond " << *this << " does not contain atom " << *Atom << "!" << endl;
   return NULL;
 };
@@ -99,5 +99,5 @@
 bool bond::MarkUsed(const enum Shading color) {
   if (Used == black) {
-    eLog() << Verbose(0) << "ERROR: Bond " << this << " was already marked black!." << endl;
+    eLog() << Verbose(1) << "Bond " << this << " was already marked black!." << endl;
     return false;
   } else {
Index: src/bondgraph.cpp
===================================================================
--- src/bondgraph.cpp	(revision 3a0b3890298aafb5853dc67311a7ba037e2e94b4)
+++ src/bondgraph.cpp	(revision 5ae39c416dba574777f0f8f68e7e7f9cacd96a25)
@@ -153,5 +153,5 @@
 {
   if (BondLengthMatrix == NULL) {// safety measure if no matrix has been parsed yet
-    eLog() << Verbose(1) << "WARNING:  BondLengthMatrixMinMaxDistance() called without having parsed the bond length matrix yet!" << endl;
+    eLog() << Verbose(2) << "BondLengthMatrixMinMaxDistance() called without having parsed the bond length matrix yet!" << endl;
     CovalentMinMaxDistance(Walker, OtherWalker, MinDistance, MaxDistance, IsAngstroem);
   } else {
